<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.5"/>
<title>MCUXpresso SDK API Reference Manual: PMC: Power Management Controller</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="fs_logo.gif"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">MCUXpresso SDK API Reference Manual
   &#160;<span id="projectnumber">Rev. 0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.5 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>API&#160;Reference</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('group__pmc.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">PMC: Power Management Controller</div>  </div>
</div><!--header-->
<div class="contents">
<a name="details" id="details"></a><h2 class="groupheader">Overview</h2>
<p>The MCUXpresso SDK provides a Peripheral driver for the Power Management Controller (PMC) module of MCUXpresso SDK devices. The PMC module contains internal voltage regulator, power on reset, low-voltage detect system, and high-voltage detect system. </p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:structpmc__low__volt__detect__config__t"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__pmc.html#structpmc__low__volt__detect__config__t">pmc_low_volt_detect_config_t</a></td></tr>
<tr class="memdesc:structpmc__low__volt__detect__config__t"><td class="mdescLeft">&#160;</td><td class="mdescRight">Low-voltage Detect Configuration Structure.  <a href="group__pmc.html#structpmc__low__volt__detect__config__t">More...</a><br/></td></tr>
<tr class="separator:structpmc__low__volt__detect__config__t"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:structpmc__low__volt__warning__config__t"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__pmc.html#structpmc__low__volt__warning__config__t">pmc_low_volt_warning_config_t</a></td></tr>
<tr class="memdesc:structpmc__low__volt__warning__config__t"><td class="mdescLeft">&#160;</td><td class="mdescRight">Low-voltage Warning Configuration Structure.  <a href="group__pmc.html#structpmc__low__volt__warning__config__t">More...</a><br/></td></tr>
<tr class="separator:structpmc__low__volt__warning__config__t"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:structpmc__bandgap__buffer__config__t"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__pmc.html#structpmc__bandgap__buffer__config__t">pmc_bandgap_buffer_config_t</a></td></tr>
<tr class="memdesc:structpmc__bandgap__buffer__config__t"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bandgap Buffer configuration.  <a href="group__pmc.html#structpmc__bandgap__buffer__config__t">More...</a><br/></td></tr>
<tr class="separator:structpmc__bandgap__buffer__config__t"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:ga227dfc9719acc3d71510463035e937fe"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__pmc.html#ga227dfc9719acc3d71510463035e937fe">pmc_low_volt_detect_volt_select_t</a> { <br/>
&#160;&#160;<a class="el" href="group__pmc.html#gga227dfc9719acc3d71510463035e937fea3570a867f80e1d833dd38118d6dc9080">kPMC_LowVoltDetectLowTrip</a> = 0U, 
<br/>
&#160;&#160;<a class="el" href="group__pmc.html#gga227dfc9719acc3d71510463035e937fea827b31f3c267901887fb8571de00159d">kPMC_LowVoltDetectHighTrip</a> = 1U
<br/>
 }</td></tr>
<tr class="memdesc:ga227dfc9719acc3d71510463035e937fe"><td class="mdescLeft">&#160;</td><td class="mdescRight">Low-voltage Detect Voltage Select.  <a href="group__pmc.html#ga227dfc9719acc3d71510463035e937fe">More...</a><br/></td></tr>
<tr class="separator:ga227dfc9719acc3d71510463035e937fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2bfe3bc36cbc914daf460a0cab0e97a3"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__pmc.html#ga2bfe3bc36cbc914daf460a0cab0e97a3">pmc_low_volt_warning_volt_select_t</a> { <br/>
&#160;&#160;<a class="el" href="group__pmc.html#gga2bfe3bc36cbc914daf460a0cab0e97a3a93223707a0f1001e4da1aa8e72bbc2ee">kPMC_LowVoltWarningLowTrip</a> = 0U, 
<br/>
&#160;&#160;<a class="el" href="group__pmc.html#gga2bfe3bc36cbc914daf460a0cab0e97a3a3bb74ae97ce1abc0fe0da9ea8a1b405a">kPMC_LowVoltWarningMid1Trip</a> = 1U, 
<br/>
&#160;&#160;<a class="el" href="group__pmc.html#gga2bfe3bc36cbc914daf460a0cab0e97a3ab64427bbbbf4fe0b05ed42670772ec30">kPMC_LowVoltWarningMid2Trip</a> = 2U, 
<br/>
&#160;&#160;<a class="el" href="group__pmc.html#gga2bfe3bc36cbc914daf460a0cab0e97a3a3b3b0e563e1c7860331beca415b85cef">kPMC_LowVoltWarningHighTrip</a> = 3U
<br/>
 }</td></tr>
<tr class="memdesc:ga2bfe3bc36cbc914daf460a0cab0e97a3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Low-voltage Warning Voltage Select.  <a href="group__pmc.html#ga2bfe3bc36cbc914daf460a0cab0e97a3">More...</a><br/></td></tr>
<tr class="separator:ga2bfe3bc36cbc914daf460a0cab0e97a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
Driver version</h2></td></tr>
<tr class="memitem:ga73519be5675b92701f27a75deec47471"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__pmc.html#ga73519be5675b92701f27a75deec47471">FSL_PMC_DRIVER_VERSION</a>&#160;&#160;&#160;(<a class="el" href="group__flash__driver.html#ga812138aa3315b0c6953c1a26130bcc37">MAKE_VERSION</a>(2, 0, 0))</td></tr>
<tr class="memdesc:ga73519be5675b92701f27a75deec47471"><td class="mdescLeft">&#160;</td><td class="mdescRight">PMC driver version.  <a href="#ga73519be5675b92701f27a75deec47471">More...</a><br/></td></tr>
<tr class="separator:ga73519be5675b92701f27a75deec47471"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
Power Management Controller Control APIs</h2></td></tr>
<tr class="memitem:ga511f9618f4a4a78c0d18fb1f53ab5256"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__pmc.html#ga511f9618f4a4a78c0d18fb1f53ab5256">PMC_ConfigureLowVoltDetect</a> (PMC_Type *base, const <a class="el" href="group__pmc.html#structpmc__low__volt__detect__config__t">pmc_low_volt_detect_config_t</a> *config)</td></tr>
<tr class="memdesc:ga511f9618f4a4a78c0d18fb1f53ab5256"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configures the low-voltage detect setting.  <a href="#ga511f9618f4a4a78c0d18fb1f53ab5256">More...</a><br/></td></tr>
<tr class="separator:ga511f9618f4a4a78c0d18fb1f53ab5256"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa3cfefbdbcc7f124993562db3c13304c"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__pmc.html#gaa3cfefbdbcc7f124993562db3c13304c">PMC_GetLowVoltDetectFlag</a> (PMC_Type *base)</td></tr>
<tr class="memdesc:gaa3cfefbdbcc7f124993562db3c13304c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the Low-voltage Detect Flag status.  <a href="#gaa3cfefbdbcc7f124993562db3c13304c">More...</a><br/></td></tr>
<tr class="separator:gaa3cfefbdbcc7f124993562db3c13304c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab96052f58a37d92c00970d4cceaaac48"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__pmc.html#gab96052f58a37d92c00970d4cceaaac48">PMC_ClearLowVoltDetectFlag</a> (PMC_Type *base)</td></tr>
<tr class="memdesc:gab96052f58a37d92c00970d4cceaaac48"><td class="mdescLeft">&#160;</td><td class="mdescRight">Acknowledges clearing the Low-voltage Detect flag.  <a href="#gab96052f58a37d92c00970d4cceaaac48">More...</a><br/></td></tr>
<tr class="separator:gab96052f58a37d92c00970d4cceaaac48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga711999faa5886861327da2dddadd2277"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__pmc.html#ga711999faa5886861327da2dddadd2277">PMC_ConfigureLowVoltWarning</a> (PMC_Type *base, const <a class="el" href="group__pmc.html#structpmc__low__volt__warning__config__t">pmc_low_volt_warning_config_t</a> *config)</td></tr>
<tr class="memdesc:ga711999faa5886861327da2dddadd2277"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configures the low-voltage warning setting.  <a href="#ga711999faa5886861327da2dddadd2277">More...</a><br/></td></tr>
<tr class="separator:ga711999faa5886861327da2dddadd2277"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga76db614fab4fd78577e5e688a609512f"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__pmc.html#ga76db614fab4fd78577e5e688a609512f">PMC_GetLowVoltWarningFlag</a> (PMC_Type *base)</td></tr>
<tr class="memdesc:ga76db614fab4fd78577e5e688a609512f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the Low-voltage Warning Flag status.  <a href="#ga76db614fab4fd78577e5e688a609512f">More...</a><br/></td></tr>
<tr class="separator:ga76db614fab4fd78577e5e688a609512f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac98297eab10fd029c18ad28cfe4ff550"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__pmc.html#gac98297eab10fd029c18ad28cfe4ff550">PMC_ClearLowVoltWarningFlag</a> (PMC_Type *base)</td></tr>
<tr class="memdesc:gac98297eab10fd029c18ad28cfe4ff550"><td class="mdescLeft">&#160;</td><td class="mdescRight">Acknowledges the Low-voltage Warning flag.  <a href="#gac98297eab10fd029c18ad28cfe4ff550">More...</a><br/></td></tr>
<tr class="separator:gac98297eab10fd029c18ad28cfe4ff550"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9c21ec2748194bd7e16053cc8edcdaef"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__pmc.html#ga9c21ec2748194bd7e16053cc8edcdaef">PMC_ConfigureBandgapBuffer</a> (PMC_Type *base, const <a class="el" href="group__pmc.html#structpmc__bandgap__buffer__config__t">pmc_bandgap_buffer_config_t</a> *config)</td></tr>
<tr class="memdesc:ga9c21ec2748194bd7e16053cc8edcdaef"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configures the PMC bandgap.  <a href="#ga9c21ec2748194bd7e16053cc8edcdaef">More...</a><br/></td></tr>
<tr class="separator:ga9c21ec2748194bd7e16053cc8edcdaef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab6fdc12269efe58a1f65b98fbd519cf7"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__pmc.html#gab6fdc12269efe58a1f65b98fbd519cf7">PMC_GetPeriphIOIsolationFlag</a> (PMC_Type *base)</td></tr>
<tr class="memdesc:gab6fdc12269efe58a1f65b98fbd519cf7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the acknowledge Peripherals and I/O pads isolation flag.  <a href="#gab6fdc12269efe58a1f65b98fbd519cf7">More...</a><br/></td></tr>
<tr class="separator:gab6fdc12269efe58a1f65b98fbd519cf7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga70b51136e51b78dad1afd143a1460251"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__pmc.html#ga70b51136e51b78dad1afd143a1460251">PMC_ClearPeriphIOIsolationFlag</a> (PMC_Type *base)</td></tr>
<tr class="memdesc:ga70b51136e51b78dad1afd143a1460251"><td class="mdescLeft">&#160;</td><td class="mdescRight">Acknowledges the isolation flag to Peripherals and I/O pads.  <a href="#ga70b51136e51b78dad1afd143a1460251">More...</a><br/></td></tr>
<tr class="separator:ga70b51136e51b78dad1afd143a1460251"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad0bf8d9ab7a48c442e4ab18741331301"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__pmc.html#gad0bf8d9ab7a48c442e4ab18741331301">PMC_IsRegulatorInRunRegulation</a> (PMC_Type *base)</td></tr>
<tr class="memdesc:gad0bf8d9ab7a48c442e4ab18741331301"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the regulator regulation status.  <a href="#gad0bf8d9ab7a48c442e4ab18741331301">More...</a><br/></td></tr>
<tr class="separator:gad0bf8d9ab7a48c442e4ab18741331301"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/><h2 class="groupheader">Data Structure Documentation</h2>
<a name="structpmc__low__volt__detect__config__t" id="structpmc__low__volt__detect__config__t"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct pmc_low_volt_detect_config_t</td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="textblock"></div><table class="memberdecls">
<tr><td colspan="2"><h3>Data Fields</h3></td></tr>
<tr class="memitem:a1b6faa7556a779b18888cb9f21872387"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1b6faa7556a779b18888cb9f21872387"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__pmc.html#a1b6faa7556a779b18888cb9f21872387">enableInt</a></td></tr>
<tr class="memdesc:a1b6faa7556a779b18888cb9f21872387"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable interrupt when Low-voltage detect. <br/></td></tr>
<tr class="separator:a1b6faa7556a779b18888cb9f21872387"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea33fece99e8bc969bc44879884b5369"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aea33fece99e8bc969bc44879884b5369"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__pmc.html#aea33fece99e8bc969bc44879884b5369">enableReset</a></td></tr>
<tr class="memdesc:aea33fece99e8bc969bc44879884b5369"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable system reset when Low-voltage detect. <br/></td></tr>
<tr class="separator:aea33fece99e8bc969bc44879884b5369"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a668031bb79d615e9d1edb74a4ed18f83"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a668031bb79d615e9d1edb74a4ed18f83"></a>
<a class="el" href="group__pmc.html#ga227dfc9719acc3d71510463035e937fe">pmc_low_volt_detect_volt_select_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__pmc.html#a668031bb79d615e9d1edb74a4ed18f83">voltSelect</a></td></tr>
<tr class="memdesc:a668031bb79d615e9d1edb74a4ed18f83"><td class="mdescLeft">&#160;</td><td class="mdescRight">Low-voltage detect trip point voltage selection. <br/></td></tr>
<tr class="separator:a668031bb79d615e9d1edb74a4ed18f83"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>

</div>
</div>
<a name="structpmc__low__volt__warning__config__t" id="structpmc__low__volt__warning__config__t"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct pmc_low_volt_warning_config_t</td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="textblock"></div><table class="memberdecls">
<tr><td colspan="2"><h3>Data Fields</h3></td></tr>
<tr class="memitem:a78da4196d65b1637b4146336085379ed"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a78da4196d65b1637b4146336085379ed"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__pmc.html#a78da4196d65b1637b4146336085379ed">enableInt</a></td></tr>
<tr class="memdesc:a78da4196d65b1637b4146336085379ed"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable interrupt when low-voltage warning. <br/></td></tr>
<tr class="separator:a78da4196d65b1637b4146336085379ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f0dc0e27741e2dcc4d3c3064f8352e6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4f0dc0e27741e2dcc4d3c3064f8352e6"></a>
<a class="el" href="group__pmc.html#ga2bfe3bc36cbc914daf460a0cab0e97a3">pmc_low_volt_warning_volt_select_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__pmc.html#a4f0dc0e27741e2dcc4d3c3064f8352e6">voltSelect</a></td></tr>
<tr class="memdesc:a4f0dc0e27741e2dcc4d3c3064f8352e6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Low-voltage warning trip point voltage selection. <br/></td></tr>
<tr class="separator:a4f0dc0e27741e2dcc4d3c3064f8352e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>

</div>
</div>
<a name="structpmc__bandgap__buffer__config__t" id="structpmc__bandgap__buffer__config__t"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct pmc_bandgap_buffer_config_t</td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="textblock"></div><table class="memberdecls">
<tr><td colspan="2"><h3>Data Fields</h3></td></tr>
<tr class="memitem:a81447cf469911f47fc739388ee718dd3"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__pmc.html#a81447cf469911f47fc739388ee718dd3">enable</a></td></tr>
<tr class="memdesc:a81447cf469911f47fc739388ee718dd3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable bandgap buffer.  <a href="#a81447cf469911f47fc739388ee718dd3">More...</a><br/></td></tr>
<tr class="separator:a81447cf469911f47fc739388ee718dd3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff82396de50e262b9d134822320fd530"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__pmc.html#aff82396de50e262b9d134822320fd530">enableInLowPowerMode</a></td></tr>
<tr class="memdesc:aff82396de50e262b9d134822320fd530"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable bandgap buffer in low-power mode.  <a href="#aff82396de50e262b9d134822320fd530">More...</a><br/></td></tr>
<tr class="separator:aff82396de50e262b9d134822320fd530"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h4 class="groupheader">Field Documentation</h4>
<a class="anchor" id="a81447cf469911f47fc739388ee718dd3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool pmc_bandgap_buffer_config_t::enable</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="aff82396de50e262b9d134822320fd530"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool pmc_bandgap_buffer_config_t::enableInLowPowerMode</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>

</div>
</div>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a class="anchor" id="ga73519be5675b92701f27a75deec47471"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FSL_PMC_DRIVER_VERSION&#160;&#160;&#160;(<a class="el" href="group__flash__driver.html#ga812138aa3315b0c6953c1a26130bcc37">MAKE_VERSION</a>(2, 0, 0))</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Version 2.0.0. </p>

</div>
</div>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a class="anchor" id="ga227dfc9719acc3d71510463035e937fe"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__pmc.html#ga227dfc9719acc3d71510463035e937fe">pmc_low_volt_detect_volt_select_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><em><a class="anchor" id="gga227dfc9719acc3d71510463035e937fea3570a867f80e1d833dd38118d6dc9080"></a>kPMC_LowVoltDetectLowTrip</em>&nbsp;</td><td class="fielddoc">
<p>Low-trip point selected (VLVD = VLVDL ) </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="gga227dfc9719acc3d71510463035e937fea827b31f3c267901887fb8571de00159d"></a>kPMC_LowVoltDetectHighTrip</em>&nbsp;</td><td class="fielddoc">
<p>High-trip point selected (VLVD = VLVDH ) </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="ga2bfe3bc36cbc914daf460a0cab0e97a3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__pmc.html#ga2bfe3bc36cbc914daf460a0cab0e97a3">pmc_low_volt_warning_volt_select_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><em><a class="anchor" id="gga2bfe3bc36cbc914daf460a0cab0e97a3a93223707a0f1001e4da1aa8e72bbc2ee"></a>kPMC_LowVoltWarningLowTrip</em>&nbsp;</td><td class="fielddoc">
<p>Low-trip point selected (VLVW = VLVW1) </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="gga2bfe3bc36cbc914daf460a0cab0e97a3a3bb74ae97ce1abc0fe0da9ea8a1b405a"></a>kPMC_LowVoltWarningMid1Trip</em>&nbsp;</td><td class="fielddoc">
<p>Mid 1 trip point selected (VLVW = VLVW2) </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="gga2bfe3bc36cbc914daf460a0cab0e97a3ab64427bbbbf4fe0b05ed42670772ec30"></a>kPMC_LowVoltWarningMid2Trip</em>&nbsp;</td><td class="fielddoc">
<p>Mid 2 trip point selected (VLVW = VLVW3) </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="gga2bfe3bc36cbc914daf460a0cab0e97a3a3b3b0e563e1c7860331beca415b85cef"></a>kPMC_LowVoltWarningHighTrip</em>&nbsp;</td><td class="fielddoc">
<p>High-trip point selected (VLVW = VLVW4) </p>
</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ga511f9618f4a4a78c0d18fb1f53ab5256"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PMC_ConfigureLowVoltDetect </td>
          <td>(</td>
          <td class="paramtype">PMC_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group__pmc.html#structpmc__low__volt__detect__config__t">pmc_low_volt_detect_config_t</a> *&#160;</td>
          <td class="paramname"><em>config</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function configures the low-voltage detect setting, including the trip point voltage setting, enables or disables the interrupt, enables or disables the system reset.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>PMC peripheral base address. </td></tr>
    <tr><td class="paramname">config</td><td>Low-voltage detect configuration structure. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaa3cfefbdbcc7f124993562db3c13304c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static bool PMC_GetLowVoltDetectFlag </td>
          <td>(</td>
          <td class="paramtype">PMC_Type *&#160;</td>
          <td class="paramname"><em>base</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This function reads the current LVDF status. If it returns 1, a low-voltage event is detected.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>PMC peripheral base address. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Current low-voltage detect flag<ul>
<li>true: Low-voltage detected</li>
<li>false: Low-voltage not detected </li>
</ul>
</dd></dl>

</div>
</div>
<a class="anchor" id="gab96052f58a37d92c00970d4cceaaac48"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void PMC_ClearLowVoltDetectFlag </td>
          <td>(</td>
          <td class="paramtype">PMC_Type *&#160;</td>
          <td class="paramname"><em>base</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This function acknowledges the low-voltage detection errors (write 1 to clear LVDF).</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>PMC peripheral base address. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga711999faa5886861327da2dddadd2277"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PMC_ConfigureLowVoltWarning </td>
          <td>(</td>
          <td class="paramtype">PMC_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group__pmc.html#structpmc__low__volt__warning__config__t">pmc_low_volt_warning_config_t</a> *&#160;</td>
          <td class="paramname"><em>config</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function configures the low-voltage warning setting, including the trip point voltage setting and enabling or disabling the interrupt.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>PMC peripheral base address. </td></tr>
    <tr><td class="paramname">config</td><td>Low-voltage warning configuration structure. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga76db614fab4fd78577e5e688a609512f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static bool PMC_GetLowVoltWarningFlag </td>
          <td>(</td>
          <td class="paramtype">PMC_Type *&#160;</td>
          <td class="paramname"><em>base</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This function polls the current LVWF status. When 1 is returned, it indicates a low-voltage warning event. LVWF is set when V Supply transitions below the trip point or after reset and V Supply is already below the V LVW.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>PMC peripheral base address. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Current LVWF status<ul>
<li>true: Low-voltage Warning Flag is set.</li>
<li>false: the Low-voltage Warning does not happen. </li>
</ul>
</dd></dl>

</div>
</div>
<a class="anchor" id="gac98297eab10fd029c18ad28cfe4ff550"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void PMC_ClearLowVoltWarningFlag </td>
          <td>(</td>
          <td class="paramtype">PMC_Type *&#160;</td>
          <td class="paramname"><em>base</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This function acknowledges the low voltage warning errors (write 1 to clear LVWF).</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>PMC peripheral base address. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga9c21ec2748194bd7e16053cc8edcdaef"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PMC_ConfigureBandgapBuffer </td>
          <td>(</td>
          <td class="paramtype">PMC_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group__pmc.html#structpmc__bandgap__buffer__config__t">pmc_bandgap_buffer_config_t</a> *&#160;</td>
          <td class="paramname"><em>config</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function configures the PMC bandgap, including the drive select and behavior in low-power mode.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>PMC peripheral base address. </td></tr>
    <tr><td class="paramname">config</td><td>Pointer to the configuration structure </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gab6fdc12269efe58a1f65b98fbd519cf7"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static bool PMC_GetPeriphIOIsolationFlag </td>
          <td>(</td>
          <td class="paramtype">PMC_Type *&#160;</td>
          <td class="paramname"><em>base</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This function reads the Acknowledge Isolation setting that indicates whether certain peripherals and the I/O pads are in a latched state as a result of having been in the VLLS mode.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>PMC peripheral base address. </td></tr>
    <tr><td class="paramname">base</td><td>Base address for current PMC instance. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>ACK isolation 0 - Peripherals and I/O pads are in a normal run state. 1 - Certain peripherals and I/O pads are in an isolated and latched state. </dd></dl>

</div>
</div>
<a class="anchor" id="ga70b51136e51b78dad1afd143a1460251"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void PMC_ClearPeriphIOIsolationFlag </td>
          <td>(</td>
          <td class="paramtype">PMC_Type *&#160;</td>
          <td class="paramname"><em>base</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This function clears the ACK Isolation flag. Writing one to this setting when it is set releases the I/O pads and certain peripherals to their normal run mode state.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>PMC peripheral base address. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gad0bf8d9ab7a48c442e4ab18741331301"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static bool PMC_IsRegulatorInRunRegulation </td>
          <td>(</td>
          <td class="paramtype">PMC_Type *&#160;</td>
          <td class="paramname"><em>base</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This function returns the regulator to run a regulation status. It provides the current status of the internal voltage regulator.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>PMC peripheral base address. </td></tr>
    <tr><td class="paramname">base</td><td>Base address for current PMC instance. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Regulation status 0 - Regulator is in a stop regulation or in transition to/from the regulation. 1 - Regulator is in a run regulation. </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
